Lucene search

K
ubuntucveUbuntu.comUB:CVE-2020-29562
HistoryDec 04, 2020 - 12:00 a.m.

CVE-2020-29562

2020-12-0400:00:00
ubuntu.com
ubuntu.com
16

2.1 Low

CVSS2

Attack Vector

NETWORK

Attack Complexity

HIGH

Authentication

SINGLE

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

PARTIAL

AV:N/AC:H/Au:S/C:N/I:N/A:P

4.8 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

LOW

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:H/PR:L/UI:R/S:U/C:N/I:N/A:H

0.002 Low

EPSS

Percentile

65.0%

The iconv function in the GNU C Library (aka glibc or libc6) 2.30 to 2.32,
when converting UCS4 text containing an irreversible character, fails an
assertion in the code path and aborts the program, potentially resulting in
a denial of service.

Bugs

Notes

Author Note
mdeslaur while bug reports indicate this was introduced in 2.30, there actually is a commit in 2.27 to fix the issue.
OSVersionArchitecturePackageVersionFilename
ubuntu18.04noarchglibc< 2.27-3ubuntu1.5UNKNOWN
ubuntu20.04noarchglibc< 2.31-0ubuntu9.7UNKNOWN

2.1 Low

CVSS2

Attack Vector

NETWORK

Attack Complexity

HIGH

Authentication

SINGLE

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

PARTIAL

AV:N/AC:H/Au:S/C:N/I:N/A:P

4.8 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

LOW

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:H/PR:L/UI:R/S:U/C:N/I:N/A:H

0.002 Low

EPSS

Percentile

65.0%